#include <iostream>
#include <algorithm>
using namespace std;
int f(int a[],int n, int x)
{
    if(x<=a[0]) return a[n-1]-x;
    if(x>=a[n-1])return x-a[0];
    if(x-a[0]>a[n-1]-x) return a[n-1]-x+a[n-1]-a[0];
    return x-a[0]+a[n-1]-a[0];
}
int main()
{
    int n,x;
    cin>>n>>x;
    int a[n];
    for(int i=0;i<n;i++)
    //int rez=0;
    {
       cin>>a[i];
    }    
    sort(a,a+n);
    cout<<f(a,n,x);
    
    
    
    return 0;
    
    
}